wlan-decoder-java 1.0

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
fr.bmartel.protocol.wlan.frame.WlanDataAbstr Class Reference
Inheritance diagram for fr.bmartel.protocol.wlan.frame.WlanDataAbstr:
[legend]
Collaboration diagram for fr.bmartel.protocol.wlan.frame.WlanDataAbstr:
[legend]

## Public Member Functions
| WlanDataAbstr (byte[] frame, boolean toDS, boolean fromDS)
byte[] | getDurationId ()
byte[] | getDestinationAddr ()
byte[] | getSourceAddr ()
byte[] | getBSSID ()
byte[] | getSequenceControl ()
byte[] | getFrameBody ()
byte[] | transmitterAddr ()
byte[] | receiverAddr ()

## Detailed Description

Define default implementation for all wlan 802.11 data frame including qos/data/NULL

- duration id : 2 Bytes
- Addr1 : 6 Bytes
- Addr2 : 6 Bytes
- Addr3 : 6 Bytes
- Sequence control : 2 Bytes
- Addr4 : 6 Bytes (only if TODS==1 && FROMDS==1)

Author
  Bertrand Martel

## Constructor & Destructor Documentation

fr.bmartel.protocol.wlan.frame.WlanDataAbstr.WlanDataAbstr | ( | byte[] | frame,
|  | boolean | toDS,
|  | boolean | fromDS
| ) |  |

Default decoder constructor for 802.11 wlan data frames

Parameters

  frame |

## Member Function Documentation

byte [] fr.bmartel.protocol.wlan.frame.WlanDataAbstr.getBSSID | ( | ) |  |

retrieve BSSID address

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanDataFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanDataAbstr.getDestinationAddr | ( | ) |  |

retrieve destination address

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanDataFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanDataAbstr.getDurationId | ( | ) |  |

retrieve duration id

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanDataFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanDataAbstr.getFrameBody | ( | ) |  |

retrieve frame body byte array

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanDataFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanDataAbstr.getSequenceControl | ( | ) |  |

retrieve sequence control frame

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanDataFrame.

byte [] fr.bmartel.protocol.wlan.frame.WlanDataAbstr.getSourceAddr | ( | ) |  |

retrieve source address

Returns

Implements fr.bmartel.protocol.wlan.frame.IWlanDataFrame.

The documentation for this class was generated from the following file:

- /home/abathur/Bureau/wlandecoder/wlandecoder/src/fr/bmartel/protocol/wlan/frame/WlanDataAbstr.java